Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.concurrency
Interface IEntityCachingService

All Known Implementing Classes:
  ReferenceEntityCachingService

    public interface IEntityCachingService

Defines an api for a caching service that caches and retrieves `IBasicEntities`. Cached entities of a given type are stored in an `IEntityCache`. The service manages access to these caches and is respon sible for initiating any cache clean up or invalidation.

The actual caching api is minimal:

`void add(IBasicEntity entity);
IBasicEntity get(Class type, String key);
void remove(Class type, String key);
void update(IBasicEntity entity);
`

Version:
  $Revision: 1.4 $
Author:
  Dan Ellentuck
See Also:
  `IBasicEntity`, `IEntityCache`

Method Summary
`void` | `add(IBasicEntity ent)` Adds the entity to the cache.
`IBasicEntity` | `get(java.lang.Class type, java.lang.String key)` Returns the cached entity identified by type and key.
`void` | `remove(java.lang.Class type, java.lang.String key)` Removes the cached entity identified by type and key from the cache and notifies peer caches.
`void` | `update(IBasicEntity ent)` Updates the entity in the cache and notifies peer caches.

Method Detail

### add

    void add(IBasicEntity ent)
             throws CachingException

  Adds the entity to the cache.

  Parameters:
    `ent` - org.jasig.portal.concurrency.IBasicEntity
  Throws:
    `CachingException`

### get

    IBasicEntity get(java.lang.Class type,
                     java.lang.String key)
                     throws CachingException

  Returns the cached entity identified by type and key.

  Parameters:
    `type` - Class
    `key` - String
  Returns:
    IBasicEntity entity
  Throws:
    `CachingException`

### remove

    void remove(java.lang.Class type,
                java.lang.String key)
                throws CachingException

  Removes the cached entity identified by type and key from the cache and notifies peer caches.

  Parameters:
    `type` - Class
    `key` - String
  Throws:
    `CachingException`

### update

    void update(IBasicEntity ent)
                throws CachingException

  Updates the entity in the cache and notifies peer caches.

  Parameters:
    `ent` - org.jasig.portal.concurrency.IBasicEntity
  Throws:
    `CachingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD